<?php
/**
 * Footer
 *
 * @package WordPress
 * @subpackage craftit
 */
?>
    
    <footer class="site-footer">

        <div class="container">
            <div class="row">

            <?php if( _get_field('gg_footer_widgets', 'option', true) ) : ?>
            <div class="footer-widgets col-md-12">
                <?php get_sidebar("footer"); ?>
            </div>
            <?php endif; ?>
            
            <?php craftit_footer_extras(); ?>

            </div><!-- .row -->
        </div><!-- /.container -->
    </footer>

    <?php wp_footer(); ?>

    
<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>