<?php
/*Custom CSS*/

//Font
$gg_headings_font = _get_field('gg_headings_font', 'option', array('font' => 'Poppins' ));
$gg_body_font = _get_field('gg_body_font', 'option',array('font' => 'Lora' ));

//Text color
$gg_text_body_color = _get_field('gg_text_body_color', 'option','#737373');
$gg_headings_color = _get_field('gg_headings_color', 'option','#000000');
$gg_link_color = _get_field('gg_link_color', 'option','#121416');

//Primary color
$gg_primary_color = _get_field('gg_primary_color', 'option','#000000');
//Secondary color
$gg_secondary_color = _get_field('gg_secondary_color', 'option','#fff200');
?>

<?php if ( $gg_headings_font['font'] != 'Poppins' ) : ?>
	h1,	h2,	h3,	h4,	h5,	h6, .h1, .h2, .h3, .h4, .h5, .h6,
	.table>thead>tr>th,
	body .wrap-forms label,
	label,
	.btn-black,
	.btn-black-fill,
	input[type="submit"],
	button[type="submit"],
	.button:not(.add_to_cart_button):not(.product_type_external),
	.btn,
	.product_widget .price_slider_wrapper .price_slider_amount button,
	.more-link,
	.top-bar .logo-wrapper h2,
	.top-bar .logo-wrapper div,
	.whiteModal .gg-header-minicart ul li .white-modal-cnt .white-modal-title,
	.whiteModal .gg-header-minicart .white-modal-subtotal,
	.gg-searchform-wrapper input,
	.product-body > a > h3,
	.posts2 .gg-module-title h2,
	.products-carousel-title h2,
	.craftit-new-items-wrapper .craftit-categories a,
	.box-1 .box-1-left-column .box-item h4,
	.box-1 .box-1-left-column h2,
	.product_categories li a > span.overlay span.title,
	.product_categories_light li a,
	body .fw-package .fw-heading-row span, 
	body .fw-package .fw-pricing-row span,
	body .fw-tabs-container .fw-tabs ul li a,
	body .fw-testimonials-2 .fw-testimonials-author .author-name,
	.craftit-posts-widget ul li .cnt .title a,
	.posts1 .craftit-post1-categories a,
	.posts2 .craftit-post1-categories a,
	.post1-item .post1-image .overlay .title,
	.craftit_countify .countify_before,
	.craftit_countify .countify_after,
	.craftit_countify .countify_number,
	blockquote:after,
	.comments-area .media-list .media .media-body h4 a,
	.craftit-gallery-single-header .toRight a,
	.craftit-order-header .craftit_filter span.title,
	.product-image .overlay .wrapper a span,
	.u-columns .forgot-remember .rememberme,
	.woocommerce select.craftit_woo_result_count,
	.woocommerce form.woocommerce-ordering select,
	.woocommerce .products-per-page select,
	.woocommerce .product .summary .variations td.label,
	.woocommerce-tabs .tabs li a,
	.woocommerce-tabs .tabs li:before,
	.woocommerce .shop_table.cart .product-name a,
	.woocommerce form.checkout ul.payment_methods li label,
	.woocommerce .shop_attributes th,
	.woocommerce .shop_table.cart th,
	.woocommerce-MyAccount-navigation ul li a,
	.woocommerce .cart-actions .coupon label,
	.woocommerce .coupon-inpus #coupon_code,
	#reviews #respond h3#reply-title,
	.craftit-post1-header h2,
	.posts2 .gg-module-title h2,
	.products-carousel-title h2 {
		font-family: <?php echo esc_html($gg_headings_font['font']); ?>;
		letter-spacing: 0;
		font-weight: normal;
	}

	aside .widget_search input::-webkit-input-placeholder ,
	.craftit_filter_widget .widget_product_search  input::-webkit-input-placeholder {
		font-family: <?php echo esc_html($gg_headings_font['font']); ?>;
	}
	aside .widget_search input:-moz-placeholder,
	.craftit_filter_widget .widget_product_search  input:-moz-placeholder{
		font-family: <?php echo esc_html($gg_headings_font['font']); ?>;
	} 
	aside .widget_search input:-ms-input-placeholder,
	.craftit_filter_widget .widget_product_search  input:-ms-input-placeholder {
		font-family: <?php echo esc_html($gg_headings_font['font']); ?>;
	}
	aside .widget_search input::-moz-placeholder,
	.craftit_filter_widget .widget_product_search  input::-moz-placeholder{
		font-family: <?php echo esc_html($gg_headings_font['font']); ?>;
	}

	.header-1,
	.page-meta-wrapper h1,
	body .fw-team .fw-team-name h3,
	body .fw-accordion .fw-accordion-title,
	.craftit-icon-box .fw-iconbox-aside .fw-iconbox-title h3,
	.form-builder-item .header.title h2,
	.gg_posts_grid h2.entry-title,
	aside.sidebar-nav h4,
	.craftit-gallery-single-header h1,
	#craftit_filter_widget h4.widget-title,
	.not_found_wrapper h1,
	.woocommerce .product .summary h1.product_title,
	.woocommerce .product .upsells.products h2,
	.woocommerce .product .related.products h2,
	.woocommerce .cart-collaterals .cross-sells h2,
	.woocommerce .cart-collaterals h2,
	.gg_posts_grid article.has-post-thumbnail .entry-title,
	.gg_posts_grid article.sticky .entry-title,
	.posts2 .gg_posts_grid .entry-title {
		letter-spacing: 0;
		font-weight: normal;
	}

<?php endif; ?>

<?php if ( $gg_body_font['font'] != 'Lora' ) : ?>
	body,
	.whiteModal .gg-header-minicart ul li .white-modal-cnt .white-modal-price,
	.whiteModal .gg-header-minicart ul li .white-modal-cnt .white-modal-qty,
	.whiteModal .gg-header-minicart .white-modal-remove a,
	#main-menu .dropdown-menu li a,
	.posts2 .gg-module-title h6,
	.products-carousel-title h6,
	.box-1 .box-1-left-column .box-item p,
	.instagram .instagram-right,
	.craftit_mailchimp .email input,
	.craftit_mailchimp .email input:focus,
	.craftit_mailchimp .email input:active,
	.widget_archive li,
	.widget_archive li a,
	.posts2 .header .categories,
	.post1-item .post1-image .overlay .categories,
	.craftit_countify  .countify_label,
	body.single-post #content .post-meta .updated,
	blockquote p,
	blockquote,
	.comments-area .media-list .media .media-body p.meta a,
	.comments-area .media-list .media .media-body .replay-button a,
	.craftit-gallery-info .dl-horizontal dt,
	.craftit-gallery-info .dl-horizontal dd,
	#craftit_filter_widget .widget_product_categories ul.product-categories li,
	.white-modal-item .widget_layered_nav ul li,
	.widget_price_filter .price_slider_amount .price_label,
	.u-columns .forgot-remember .lost-password,
	#reviews #comments .comment .description p,
	.wc_payment_methods .about_paypal,
	.woocommerce .woocommerce-MyAccount-content > p:not(.woocommerce-FormRow),
	.woocommerce .woocommerce-MyAccount-content > p:not(.form-row),
	.cart_item .woocommerce-Price-amount,
	.woocommerce .cart-collaterals .cart_totals table td,
	.woocommerce .cart-collaterals .cart_totals table th,
	.craftit-post1-header h6,
	.posts2 .gg-module-title h6,
	.products-carousel-title h6,
	body.single #content .post-meta .updated {
		font-family: <?php echo esc_html($gg_body_font['font']); ?>;
		font-style: normal;
	}

	.craftit_mailchimp .email input::-webkit-input-placeholder {
		font-family: <?php echo esc_html($gg_body_font['font']); ?>;
		font-style: normal;
	}

	.craftit_mailchimp .email input:-moz-placeholder { /* Firefox 18- */
		font-family: <?php echo esc_html($gg_body_font['font']); ?>;
		font-style: normal;
	}

	.craftit_mailchimp .email input::-moz-placeholder {  /* Firefox 19+ */
		font-family: <?php echo esc_html($gg_body_font['font']); ?>;
		font-style: normal;
	}

	.craftit_mailchimp .email input:-ms-input-placeholder {  
		font-family: <?php echo esc_html($gg_body_font['font']); ?>;
		font-style: normal;
	}

	.entry-caption,
	.gallery-caption,
	caption,
	.table>thead>tr>td, .table>tbody>tr>td, .table>tfoot>tr>td,
	.table>thead>tr>th, .table>tbody>tr>th, .table>tfoot>tr>th,
	select,
	.page-links a,
	.page-links > span:not(.page-links-title),
	.top-bar,
	.top-bar-flags a,
	.whiteModal .gg-header-minicart .white-modal-remove a,
	.whiteModal .alert,
	#main-menu li a,
	#main-menu .dropdown-menu li a,
	body.gg-page-header-align-center .header-page-description,
	.craftit-post1-header h6,
	.posts2 .gg-module-title h6,
	.products-carousel-title h6,
	.products-carousel .blog-date a,
	body .fw-team .fw-team-name span,
	body .fw-accordion .fw-accordion-content,
	.footer-widgets-holder .footer-right .social-icons-widget ul li a,
	.footer-widgets-holder .footer-left-3columns .menu li a,
	.footer-copyright,
	.fw-special-subtitle,
	.contact-us-module .address-module,
	.contact-us-module .phones-emails-module,
	body .fw-call-to-action > div p,
	body .fw-package .fw-pricing-row small,
	.craftit-icon-box .fw-iconbox-aside .fw-iconbox-text p,
	.form-builder-item .header.title p,
	.gg_posts_grid .post-meta,
	.gg_posts_grid .entry-summary,
	.craftit-posts-widget ul li .cnt .post-date,
	.widget_archive li,
	.widget_archive li a,
	.posts2 .gg_posts_grid .entry-header time,
	.posts2 .header .categories,
	.post1-item .post1-image .overlay .categories,
	.inline-categories ul li,
	.single-post .post-date,
	blockquote p,
	.social-text,
	.comments-area .logged-in-as,
	.comments-area .media-list .media .media-body p.meta,
	.craftit-gallery-info .dl-horizontal dt,
	.craftit-gallery-info .dl-horizontal dd,
	.craftit-gallery-info .gallery-description,
	#craftit_filter_widget .widget_product_categories ul.product-categories li,
	.white-modal-item .widget_layered_nav ul li,
	div.pagination ul.pagination li a,
	.widget_price_filter .price_slider_amount .price_label,
	.u-columns .forgot-remember .lost-password,
	#reviews #comments .comment .description p,
	#reviews #comments .comment p.meta time,
	#reviews .woocommerce-noreviews,
	.woocommerce .cart .quantity input.qty,
	.woocommerce .product .summary div[itemprop="description"],
	.woocommerce .product .summary div[itemprop="offers"],
	.woocommerce .product .woocommerce-variation-price,
	.woocommerce-Tabs-panel--description p,
	.woocommerce dl.variation,
	.woocommerce .cart-collaterals .cart_totals table,
	.woocommerce form.checkout #order_review .shop_table,
	.woocommerce form.checkout ul.payment_methods li,
	.woocommerce-message,
	.woocommerce-error,
	.woocommerce-info,
	.woocommerce .product_meta,
	.woocommerce .shop_attributes td,
	.wc_payment_methods .about_paypal,
	.woocommerce .woocommerce-MyAccount-content > p:not(.woocommerce-FormRow),
	.woocommerce .woocommerce-MyAccount-content > p:not(.form-row),
	.woocommerce-Addresses address,
	.single-product p.stock,
	.cart_item .woocommerce-Price-amount {
		font-style: normal;
	}

<?php endif; ?>


<?php if ($gg_text_body_color != '#737373') { ?>
	body,
	caption,
	.top-bar,
	.top-bar a,
	.top-bar-flags a,
	.whiteModal .gg-header-minicart ul li .white-modal-cnt .white-modal-qty,
	.whiteModal .gg-header-minicart .white-modal-remove a,
	.top-bar .cart-shop-top span.gg-products-count,
	.posts2 .gg-module-title h6,
	.products-carousel-title h6,
	.products-carousel .blog-date a,
	body .fw-team .fw-team-name span,
	.footer-widgets-holder .footer-right .social-icons-widget ul li a,
	.footer-widgets-holder .footer-left-3columns .menu li a,
	.footer-copyright,
	.footer-copyright a,
	.craftit_mailchimp .email p,
	.craftit_mailchimp.light,
	.craftit_mailchimp.light h2,
	.craftit_mailchimp.light .email p,
	 .craftit-icon-box .fw-iconbox-aside .fw-iconbox-text p,
	 .gg_posts_grid .post-meta,
	 .widget_archive li,
	 .posts1 .craftit-post1-header .craftit-post1-categories a,
	.posts2 .craftit-post1-header .craftit-post1-categories a,
	.posts2 .header .categories,
	.post1-item .post1-image .overlay .categories,
	.comments-area .media-list .media .media-body p.meta a,
	.comments-area .media-list .media .media-body .replay-button a,
	.craftit-gallery-single-header .toRight a,
	.craftit-gallery-info .gallery-description,
	#craftit_filter_widget .widget_product_categories ul.product-categories li a,
	.white-modal-item .widget_layered_nav ul li a,
	.white-modal-item .widget_product_tag_cloud .tagcloud a,
	.u-columns .forgot-remember .lost-password,
	#reviews #comments .comment .description p,
	#reviews #comments .comment p.meta time,
	.woocommerce form.checkout #order_review .shop_table dl.variation dt,
	.woocommerce .woocommerce-MyAccount-content > p:not(.woocommerce-FormRow),
	.woocommerce .woocommerce-MyAccount-content > p:not(.form-row),
	.woocommerce-MyAccount-navigation ul li a,
	.cart_item .woocommerce-Price-amount,
	caption {
		color: <?php echo esc_html($gg_text_body_color); ?>;
	}
<?php } ?>


<?php if ($gg_headings_color != '#000000') { ?>
	h1,
	h2,
	h3,
	h4,
	h5,
	h6,
	.h1,
	.h2,
	.h3,
	.h4,
	.h5,
	.h6,
	.table>thead>tr>th,
	.table>tbody>tr>th,
	.table>tfoot>tr>th,
	#main-menu li.open ul.dropdown-menu li.active a,
	#main-menu li.open ul.dropdown-menu li a:hover,
	.header-page-description,
	.products-carousel-nav .next:hover,
	.products-carousel-nav .prev:hover,
	.footer-widgets-holder .footer-right .social-icons-widget ul li a .fa,
	.product_categories li a:hover > span.overlay span.title,
	body .fw-testimonials-2 .fw-testimonials-author .author-name,
	.posts1 .craftit-post1-header .craftit-post1-categories a.active,
	.posts2 .craftit-post1-header .craftit-post1-categories a.active,
	.craftit_countify .countify_before,
	.craftit_countify .countify_after,
	.craftit_countify .countify_number,
	.single-post .craftit-single-header .single_left_header_pagination a:hover,
	.single-post .craftit-single-header .single_right_header_pagination a:hover,
	#reviews #comments .comment p.meta strong,
	#reviews #comments .comment .star-rating,
	.woocommerce select.craftit_woo_result_count,
	.woocommerce form.woocommerce-ordering select,
	.woocommerce .products-per-page select,
	.woocommerce-tabs .tabs li.active a,
	.woocommerce dl.variation dt,
	.woocommerce .cart-collaterals .cart_totals table tr th,
	.woocommerce .cart-collaterals .cross-sells h2,
	.woocommerce .shop_table.cart td.actions .cart-collaterals .cart_totals th,
	.woocommerce .shop_table.cart td.actions .cart-collaterals .cart_totals td,
	.woocommerce form.checkout #order_review .shop_table th,
	.woocommerce form.checkout ul.payment_methods li label,
	body.woocommerce-account .shop_table td,
	body.woocommerce-order-received ul.order_details li strong,
	.woocommerce-message,
	.woocommerce-error,
	.woocommerce-info,
	.woocommerce-MyAccount-navigation ul li.is-active a,
	.woocommerce-MyAccount-navigation ul li a:hover,
	.woocommerce-MyAccount-orders a.button.view,
	.social-with-navigation .product-navigation .fa-long-arrow-left:hover,
	.social-with-navigation .product-navigation .fa-long-arrow-right:hover,
	.gg_posts_grid  h2.entry-title a,
	body .wrap-forms label,
	label,
	.form-control,
	.product_categories_light li a,
	.craftit_mailchimp.light .email input,
	.craftit_mailchimp.light .email input:focus,
	.craftit_mailchimp.light .email input:active,
	.posts1 .craftit-post1-header .craftit-post1-categories,
	.posts2 .craftit-post1-header .craftit-post1-categories,
	.post1-item .post1-image .overlay .title,
	.craftit_countify .countify_label,
	.comments-area .media-list .media .media-body h4 a,
	.craftit-gallery-info .dl-horizontal dt,
	.craftit-gallery-info .dl-horizontal dd,
	div.pagination ul.pagination li a:hover,
	div.pagination ul.pagination li a:active,
	div.pagination ul.pagination li a:focus,
	div.pagination ul.pagination li.current a,
	.u-columns .forgot-remember .rememberme,
	.woocommerce .product .summary .variations td.label,
	.woocommerce .shop_attributes th,
	.woocommerce .cart-actions .coupon label,
	.footer-widgets-holder .footer-right .social-icons-widget ul li a:hover,
	.footer-widgets-holder .footer-left-3columns .menu   li a:hover {
		color: <?php echo esc_html($gg_headings_color); ?>;
	}

	.craftit_mailchimp.light .email input::-webkit-input-placeholder {
		color: <?php echo esc_html($gg_headings_color); ?>;
	}
	.craftit_mailchimp.light .email input:-moz-placeholder { /* Firefox 18- */
		color: <?php echo esc_html($gg_headings_color); ?>;
	}

	.craftit_mailchimp.light .email input::-moz-placeholder {  /* Firefox 19+ */
		color: <?php echo esc_html($gg_headings_color); ?>;
	}

	.craftit_mailchimp.light .email input:-ms-input-placeholder {  
		color: <?php echo esc_html($gg_headings_color); ?>;
	}

	aside .widget_search input::-webkit-input-placeholder ,
	.craftit_filter_widget .widget_product_search input::-webkit-input-placeholder {  
		color: <?php echo esc_html($gg_headings_color); ?>;
	}

	aside .widget_search input:-moz-placeholder,
	.craftit_filter_widget .widget_product_search input:-moz-placeholder{
		color: <?php echo esc_html($gg_headings_color); ?>;
	} 
	aside .widget_search input:-ms-input-placeholder,
	.craftit_filter_widget .widget_product_search input:-ms-input-placeholder {
		color: <?php echo esc_html($gg_headings_color); ?>;
	}
	aside .widget_search input::-moz-placeholder,
	.craftit_filter_widget .widget_product_search input::-moz-placeholder{
		color: <?php echo esc_html($gg_headings_color); ?>;
	}


<?php } ?>

<?php if ($gg_link_color != '#121416') { ?>
	a,
	a:hover,
	a:focus,
	input[type="submit"],
	button[type="submit"],
	.button:not(.add_to_cart_button):not(.product_type_external),
	.btn,
	.product_widget .price_slider_wrapper .price_slider_amount button,
	.more-link,
	button.single_add_to_cart_button:hover,
	.btn-primary:hover,
	.btn-primary:active:hover,
	.btn-primary.active:hover,
	.open>.dropdown-toggle.btn-primary:hover,
	.btn-primary:active:focus,
	.btn-primary.active:focus,
	.open>.dropdown-toggle.btn-primary:focus,
	.btn-primary:active.focus,
	.btn-primary.active.focus,
	.open>.dropdown-toggle.btn-primary.focus,
	.top-bar .logo-wrapper h2,
	.top-bar .logo-wrapper div,
	.top-bar .logo-wrapper h2 a,
	.top-bar .logo-wrapper .site-title a,
	.top-bar .cart-shop-top,
	.whiteModal .gg-header-minicart ul li .white-modal-cnt .white-modal-title,
	.whiteModal .gg-header-minicart .white-modal-remove a:hover,
	.whiteModal .gg-header-minicart .white-modal-subtotal,
	#main-menu  li a,
	.product-body > a > h3,
	body .fw-accordion .fw-accordion-title,
	.fw-special-title,
	.craftit_mailchimp .signup .btn,
	.social-icons-shortcode h6,
	body .fw-btn-1,
	body .fw-iconbox-1 .fw-iconbox-image,
	aside.sidebar-nav h4,
	.craftit-posts-widget ul li .cnt .title a,
	.widget_archive li a,
	body.single-post #content .post-meta .updated,
	.single-post .post-date,
	.craftit-order-header .craftit_filter span.title,
	#craftit_filter_widget h4.widget-title,
	.product-image .overlay .wrapper a span,
	.woocommerce .cart .quantity input.qty,
	.woocommerce .product .summary div[itemprop="offers"],
	.woocommerce .product .woocommerce-variation-price,
	.woocommerce .shop_table.cart .product-name a,
	.woocommerce .shop_table.cart th,
	.woocommerce .woocommerce-MyAccount-content p a,
	body.single #content .post-meta .updated {
		color: <?php echo esc_html($gg_link_color); ?>;
	}


<?php } ?>

<?php
/* Primary color */
if ($gg_primary_color != '#000000') :
?>	
	
	button.single_add_to_cart_button,
	.btn-primary,
	.btn.btn-primary,
	.btn:hover,
	.product_categories li a,
	.product_categories_light li a,
	p.demo_store,
	span.soldout,
	.product-image-wrapper.inverse h3 span,
	#main-menu .mega-menu .sub-menu,
	#main-menu .dropdown-menu,
	.top-bar-flags .dropdown-menu,
	body.gg-header-style-dark .site-header, 
	body.gg-header-style-dark .navbar-fixed-top,
	body.gg-header-style-dark #main-menu li a:hover,
	#main-menu li.open a,
	#main-menu li.active a, 
	#main-menu li a:hover,
	body.gg-has-stiky-menu .navbar-fixed-top #main-menu li.open a,
	body.gg-has-stiky-menu .navbar-fixed-top #main-menu li.active a,
	body.gg-has-stiky-menu .navbar-fixed-top #main-menu li a:hover,
	.craftit_mailchimp,
	body .fw-btn-1:hover,
	body .fw-btn-1:focus,
	.product-image .overlay .wrapper a.added_to_cart:before,
	.product-image .overlay .wrapper a.add_to_cart_button:before,
	.btn-black:hover,
	.btn-black-fill,
	.woocommerce .cart .quantity input.minus:hover,
	.woocommerce .cart .quantity input.plus:hover,
	.spinner > div{
		background: <?php echo esc_html($gg_primary_color); ?>;
	}

	.btn-black,
	.btn-black-fill:hover,
	.craftit_mailchimp.light .signup .btn {
		color: <?php echo esc_html($gg_primary_color); ?>;
	}

	.btn-black,
	.btn-black-fill,
	.btn-outline,
	.craftit_mailchimp.light .signup .btn,
	.product_widget .price_slider_wrapper .price_slider_amount button,
	.navbar-default .navbar-toggle {
		border-color: <?php echo esc_html($gg_primary_color); ?>;
	}

	.ajax_module_wrapper .product_ajax_loader,
	.ajax_module_wrapper .ajaxLoadMore span {
		border-top-color: <?php echo esc_html($gg_primary_color); ?>;
		border-right-color: <?php echo esc_html($gg_primary_color); ?>;
		border-bottom-color: <?php echo esc_html($gg_primary_color); ?>;
	}

	.product_categories li a:hover > span.overlay span.img .svg, 
	.product_categories li a:hover > span.overlay span.img svg path,
	.top-bar a.top-search-button svg > g > g,
	.top-bar a.cart-shop-top svg > g > g,
	.product-image .overlay .wrapper a.view .svg > g > g,
	.product-image .overlay .wrapper a.add_to_cart_button .svg > g > g,
	.product-image .overlay .wrapper a.added_to_cart .svg > g > g {
		fill: <?php echo esc_html($gg_primary_color); ?> !important;
	}

	.product-image .overlay .wrapper a.view .svg > circle {
		stroke: <?php echo esc_html($gg_primary_color); ?> !important;
	}
	
<?php endif; ?>

<?php
/* Secondary color */
if ($gg_secondary_color != '#fff200') :
?>	
	
	input[type="submit"],
	button[type="submit"],
	.button:not(.add_to_cart_button):not(.product_type_external),
	.btn,
	.product_widget .price_slider_wrapper .price_slider_amount button,
	.more-link,
	button.single_add_to_cart_button:hover,
	.btn-primary:hover,
	.btn-primary:active:hover,
	.btn-primary.active:hover,
	.open>.dropdown-toggle.btn-primary:hover,
	.btn-primary:active:focus,
	.btn-primary.active:focus,
	.open>.dropdown-toggle.btn-primary:focus,
	.btn-primary:active.focus,
	.btn-primary.active.focus,
	.open>.dropdown-toggle.btn-primary.focus,
	mark, .mark,
	#main-menu li a,
	#main-menu li.open ul.dropdown-menu li.active a,
	#main-menu li.open ul.dropdown-menu li a:hover,
	body .fw-btn-1,
	.widget_price_filter .ui-slider:before {
		background: <?php echo esc_html($gg_secondary_color); ?>;
	}

	.btn-outline:hover,
	.product_widget .price_slider_wrapper .price_slider_amount button:hover {
		border-color: <?php echo esc_html($gg_secondary_color); ?>;
	}

	.ajax_module_wrapper .ajaxLoadMore span {
		border-left-color: <?php echo esc_html($gg_secondary_color); ?>;
	}

	blockquote:after {
		color: <?php echo esc_html($gg_secondary_color); ?>;
	}

	.woocommerce-tabs .tabs li.active a {
		border-bottom-color: <?php echo esc_html($gg_secondary_color); ?>;
	}
	
<?php endif; ?>