<?php
/**
 * The dynamically generated footer sidebar
 */
?>

<?php 
// count the active widgets to determine column sizes
$footerwidgets = is_active_sidebar('sidebar-footer-first') + is_active_sidebar('sidebar-footer-second') + is_active_sidebar('sidebar-footer-third') + is_active_sidebar('sidebar-footer-fourth');

?>

<?php if ($footerwidgets) : ?>

<div class="footer-widgets-holder">	
	<div class="row">	
		<?php $footergrid = 'col-xs-4 col-sm-4 col-md-4 '; ?>
		
		<!-- Footer Left -->
		<div class="col-xs-12 col-sm-8 col-md-6 footer-left-3columns">

			<?php if (is_active_sidebar('sidebar-footer-first')) : ?>
			<div class="<?php echo esc_attr($footergrid);?>">
				<?php dynamic_sidebar('sidebar-footer-first'); ?>
			</div>
			<?php endif;?>

			<?php if (is_active_sidebar('sidebar-footer-second')) : ?>
			<div class="<?php echo esc_attr($footergrid);?>">
				  <?php dynamic_sidebar('sidebar-footer-second'); ?>
			</div>
			<?php endif;?>

			<?php if (is_active_sidebar('sidebar-footer-third')) : ?>
			<div class="<?php echo esc_attr($footergrid);?>">
				  <?php dynamic_sidebar('sidebar-footer-third'); ?>
			</div>
			<?php endif;?>

		</div>

		<!-- Footer Right -->
		<div class="cols-xs-12 col-sm-4 col-md-3 col-md-offset-3 footer-right">
			<?php if (is_active_sidebar('sidebar-footer-fourth')) : ?>
					<?php dynamic_sidebar('sidebar-footer-fourth'); ?>
			<?php endif;?>
		</div>

	</div>
</div>

<?php endif;?>