<?php
/**
 * The template for displaying Archive pages.
 *
 * @package WordPress
 * @subpackage craftit
 */
get_header(); 
$taxonomy =  get_queried_object();

?>


<section id="content">
    <div class="container">
        <div class="row posts1">
     
				
			<div class="col-lg-12">
				<div class="craftit-post1-header">
					<h2><?php echo esc_html($taxonomy->name); ?></h2>
					<?php get_template_part( 'parts/gallery/part', 'galleries_menu' ); ?>
				</div>
			</div>
	
            <?php if (have_posts()) : ?>
				<div class="posts1_cnt masonry_post">
				
					
					<?php while (have_posts()) : the_post(); ?>

							<?php get_template_part( 'parts/gallery/part', 'gallery' ); ?>
					    
					<?php endwhile; ?>

				
				</div>

				<?php if (function_exists("craftit_pagination")) {
					craftit_pagination();
				} ?>

            <?php // If no content, include the "No posts found" template.
            else :
                get_template_part( 'parts/post-formats/part', 'none' );
            endif;
            ?>

            </div>
            <?php craftit_page_sidebar('special_page'); ?>

        </div><!-- .row -->
    </div><!-- .container -->    
</section>

<?php get_footer(); ?>