<?php
/**
 * WooCommerce
 * Description: Page template for WooCommerce
 *
 * @package WordPress
 * @subpackage craftit
 */
get_header(); ?>

<section id="content">
    <div class="container">
        <div class="row">
            <div class="<?php craftit_page_container('special_page'); ?>">
                <?php woocommerce_content(); ?>
            </div><!-- /.craftit_page_container() -->

            <?php craftit_page_sidebar('special_page'); ?>

        </div><!-- .row -->
    </div><!-- .container -->    
</section>

<?php get_footer(); ?>