<?php if (!defined('FW')) die('forbiden');

$options  = array(

	'header' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Title','craftit_shortcode'),
 	),
	'left_column_color'=>array(
    'type'  => 'gradient',
    'value' => array(
        'primary'   => '#c4cccf',
        'secondary' => '#c4cccf',
    ),
    'label' => 	esc_html__('Left Column Color',  'craftit_shortcode'),
    'desc'  => 	esc_html__('Background color for left column ',  'craftit_shortcode'),
    'help'  => 	esc_html__('Add the same color if you need a solid color',  'craftit_shortcode'),
	),
	/*Image */
	'image' => array(
		'type'  => 'background-image',
		'label' =>	esc_html__('Right column Image', 'craftit_shortcode'),
		'desc'  =>	esc_html__('Insert the image from the right column.', 'craftit_shortcode'),

	),	
	
 	'featured_boxes' => array(
	    'type'  => 'addable-box',
	    'value' => array(
	        array(
	            'number' => '',
	            'icon' => '',
	            'title' => 'Box title',
	            'description' => '',
	        ),
	    ),
	    'label' => __('Featured boxes', 'craftit_shortcode'),
	    'box-options' => array(
	        'number' => array(
							'type' 	=>	'icon-v2',
							'preview_size' => 'medium', // small | medium | large | sauron
							'modal_size' => 'medium',//small | medium | large
							'label' =>	esc_html__('Box number','craftit_shortcode'),
					 	),
	        'icon' => array(
							'type' 	=>	'icon-v2',
							'preview_size' => 'medium', // small | medium | large | sauron
							'modal_size' => 'medium',//small | medium | large
							'label' =>	esc_html__('Box icon','craftit_shortcode'),
					 	),
	        'title' => array(
							'type' 	=>	'text',
							'label' =>	esc_html__('Box title','craftit_shortcode')
					 	),
	        'description' => array(
							'type' 	=>	'textarea',
							'label' =>	esc_html__('Box description','craftit_shortcode')
					 	),
	    ),
	    'template' => 'Box - {{- title }}', // box title
	    'box-controls' => array(),
	    'limit' => 0, // limit the number of boxes that can be added
	    'add-button-text' => __('Add', 'craftit_shortcode'),
	    'sortable' => true,
	),
	'columns' => array(
		'type' =>'select',
		'value' => '2',
		'choices' =>array(
			'1' => esc_html__('1','craftit_shortcode'),
			'2' => esc_html__('2','craftit_shortcode'),
			'3' => esc_html__('3','craftit_shortcode'),
			'4' => esc_html__('4','craftit_shortcode'),
					
		),
		'label' =>	esc_html__('Box Columns','craftit_shortcode'),
		'desc'	=>	esc_html__('Choose on how many columns the boxes will be displayed','craftit_shortcode'),
 	),
	'button_label' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Button Label','craftit_shortcode'),
		'desc'  =>  esc_html__( 'This is the text that appears on your button', 'craftit_shortcode' ),
		'value' =>	esc_html__('Explore our items','craftit_shortcode'),
 	),	
	'button_url' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Button Link','craftit_shortcode'),
		'desc'  => __( 'Where should your button link to', 'craftit_shortcode' ),
		'value' => '#',
 	),	
	'button_style' => array(
		'type' =>'select',
		'choices' =>array(
			'btn-default' => esc_html__('Primary','craftit_shortcode'),
			'btn-primary' => esc_html__('Secondary','craftit_shortcode'),
			'btn-tertiary' => esc_html__('Tertiary','craftit_shortcode'),
			'btn-outline' => esc_html__('Outline','craftit_shortcode'),
					
		),
		'label' =>	esc_html__('Button Style','craftit_shortcode')
 	),	
	'button_target' => array(
		'type' =>'select',
		'choices' =>array(
			'_self' => esc_html__('Open in the same window','craftit_shortcode'),
			'_blank' => esc_html__('Open in a new window','craftit_shortcode')
					
		),
		'label' =>	esc_html__('Button Target','craftit_shortcode')
 	),
 	'class' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Extra class ','craftit_shortcode'),
		'desc' 	=>	esc_html__('Example: className : ','craftit_shortcode'),
		'help'  => 	esc_html__('You can specify more than one class by adding a space.', 'craftit_shortcode'),
 	),		
	'uid'=> array( 'type' => 'unique' ),
);