<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'label'  => array(
		'label' => __( 'Button Label', 'fw' ),
		'desc'  => __( 'This is the text that appears on your button', 'fw' ),
		'type'  => 'text',
		'value' => 'Submit'
	),
	'link'   => array(
		'label' => __( 'Button Link', 'fw' ),
		'desc'  => __( 'Where should your button link to', 'fw' ),
		'type'  => 'text',
		'value' => '#'
	),
	'target' => array(
		'type'  => 'switch',
		'label'   => __( 'Open Link in New Window', 'fw' ),
		'desc'    => __( 'Select here if you want to open the linked page in a new window', 'fw' ),
		'right-choice' => array(
			'value' => '_blank',
			'label' => __('Yes', 'fw'),
		),
		'left-choice' => array(
			'value' => '_self',
			'label' => __('No', 'fw'),
		),
	),
	'style'  => array(
		'label'   => __( 'Button Style', 'fw' ),
		'desc'    => __( 'Choose a color for your button', 'fw' ),
		'type'    => 'select',
		'choices' => array(
			'btn-default' => esc_html__('Primary','craftit'),
			'btn-primary' => esc_html__('Secondary','craftit'),
			'btn-tertiary' => esc_html__('Tertiary','craftit'),
			'btn-outline' => esc_html__('Outline','craftit'),
					
		)
	),
	'display' => array(
		'type'  => 'switch',
		'label'   => __( 'Display', 'fw' ),
		'desc'    => __( 'Aligment doesn\'t work for inline elements', 'fw' ),
		'right-choice' => array(
			'value' => 'block',
			'label' => __('Block', 'fw'),
		),
		'left-choice' => array(
			'value' => 'inline',
			'label' => __('Inline', 'fw'),
		),
	),
	'align'  => array(
		'label'   => __( 'Align', 'fw' ),
		'desc'    => __( 'Works only for block elements', 'fw' ),
		'type'    => 'select',
		'choices' => array(
			'none' => esc_html__('none','craftit'),
			'left' => esc_html__('Left','craftit'),
			'right' => esc_html__('Right','craftit'),
			'center' => esc_html__('Center','craftit'),
					
		)
	),
	'uid'=> array( 'type' => 'unique' ),
);