<?php if (!defined('FW')) wp_die(esc_html__('forbiden','craftit_shortcode'));

$options  = array(
	'title' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Title','craftit_shortcode'),
		'attr'  => array( 'placeholder' => 'Instagram' ),
 	),
	'followers_nr' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Number of followers','craftit_shortcode'),
 	),	
	'followers_label' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Followers Label','craftit_shortcode'),
 	),	
	'photo_nr' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Number of photos to retrieve','craftit_shortcode'),
		'attr'  => array( 'placeholder' => 9 ),
 	),			
	'link' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Follow Us','craftit_shortcode'),
		'attr'  => array( 'placeholder' => esc_html__('Follow Us','craftit_shortcode') ),
 	),
	'style'  => array(
		'label'   => __( 'Button Style', 'fw' ),
		'desc'    => __( 'Choose a color for your button', 'fw' ),
		'type'    => 'select',
		'choices' => array(
			'btn-default' => esc_html__('Primary','craftit_shortcode'),
			'btn-primary' => esc_html__('Secondary','craftit_shortcode'),
			'btn-tertiary' => esc_html__('Tertiary','craftit_shortcode'),
			'btn-outline' => esc_html__('Outline','craftit_shortcode'),
					
		)
	),

	'target' => array(
		'type'  => 'switch',
		'label'   => esc_html__( 'Open Link in New Window', 'fw' ),
		'desc'    => esc_html__( 'Select here if you want to open the linked page in a new window', 'fw' ),
		'right-choice' => array(
			'value' => '_blank',
			'label' => esc_html__('Yes', 'craftit_shortcode'),
		),
		'left-choice' => array(
			'value' => '_self',
			'label' => esc_html__('No', 'craftit_shortcode'),
		),
	),	
	'layout' => array(
		'type' =>'select',
		'choices' =>array(
			'grid'               => esc_html__('Grid','craftit_shortcode'),
			'grid_without_space' => esc_html__('Flex grid without space','craftit_shortcode'),
			'carousel'           => esc_html__('Carousel','craftit_shortcode'),
					
		),
		'label' =>esc_html__('Layout','craftit_shortcode'),
 	),	
	'color1'=>array(
		'type'  => 'color-picker',
		'label' => esc_html__('Title color', 'craftit_shortcode'),
	),	
	'color2'=>array(
		'type'  => 'color-picker',
		'label' => esc_html__('Followers color', 'craftit_shortcode')
	),
	'uid'=> array( 'type' => 'unique' ),
);

