<?php if (!defined('FW')) die('forbiden');

$options  = array(

	'number' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Per Page','craftit_shortcode'),
		'desc' 	=>	esc_html__('Limit the number of items displayed','craftit_shortcode'),
		'help'  => __('Put -1 to display all', 'craftit_shortcode'),
 	),
 	'columns' => array(
		'type' =>'select',
		'value'	=> 4,
		'choices' =>array(
			'1' => esc_html__('1','craftit_shortcode'),
			'2' => esc_html__('2','craftit_shortcode'),
			'3' => esc_html__('3','craftit_shortcode'),
			'4' => esc_html__('4','craftit_shortcode'),
			'5' => esc_html__('5','craftit_shortcode'),
			'6' => esc_html__('6','craftit_shortcode'),					
			'12' => esc_html__('12','craftit_shortcode'),
		),
		'label' =>esc_html__('Columns','craftit_shortcode'),
		'desc' =>esc_html__('Choose how many columns will be displayed','craftit_shortcode'),
 	),
	'offset' => array(
		'type' 	=>	'text',
		'label' =>	esc_html__('Categories offset','craftit_shortcode'),
 	),	
	'order' => array(
		'type' =>'select',
		'value'	=> 4,
		'choices' =>array(
			'ASC' 				=> esc_html__('ASC (ex: 1,2,3 or a,b,c )','craftit_shortcode'),
			'DESC' 				=> esc_html__('DESC (ex: 3,2,1 or c,b,a )','craftit_shortcode')
		),
		'label' =>esc_html__('Order','craftit_shortcode'),
		'desc' =>esc_html__('Designates the ascending or descending order of the "Order By" Field.','craftit_shortcode'),
 	),	
	'order_by' => array(
		'type' =>'select',
		'value'	=> 4,
		'choices' =>array(
			'term_id'     => esc_html__('Id','craftit_shortcode'),
			'slug'        => esc_html__('Slug','craftit_shortcode'),
			'term_group'  => esc_html__('Term Group','craftit_shortcode'),
			'description' => esc_html__('Description','craftit_shortcode'),
			'name'        => esc_html__('Order by product name','craftit_shortcode'),
			'count'       => esc_html__('count','craftit_shortcode'),
			
		),
		'label' =>esc_html__('Order By','craftit_shortcode'),
		'desc' =>esc_html__('Define how the posts are sort out','craftit_shortcode')
 	),
	'exclude' => array(
		'type'  => 'multi-select',
		'label' => __('Exclude Categories', 'craftit_shortcode'),
		'desc'  => __('Exclude this categories from the query', 'craftit_shortcode'),
		'population' => 'taxonomy',
		'source' => 'product_cat',
		'prepopulate' => 10,
		'limit' => 100,
	),
	'include' => array(
		'type'  => 'multi-select',
		'label' => __('Include Categories', 'craftit_shortcode'),
		'desc'  => __('Display only this categories', 'craftit_shortcode'),
		'population' => 'taxonomy',
		'source' => 'product_cat',
		'prepopulate' => 10,
		'limit' => 100,
	),	
		'style' => array(
		'type' =>'select',
		'value'	=> 4,
		'choices' =>array(
			'default' 	=> esc_html__('Default','craftit_shortcode'),
			'light' 	=> esc_html__('Light','craftit_shortcode'),			
		),
		'label' =>esc_html__('Style','craftit_shortcode'),
 	),
	'uid'=> array( 'type' => 'unique' ),
);