<?php if (!defined('FW')) {
	die('Forbidden');
}

$options = array(
	'is_fullwidth' => array(
		'label'        => esc_html__('Full Width', 'craftit_shortcode'),
		'type'         => 'switch',
	),	
	'background_color' => array(
		'label' => esc_html__('Background Color', 'craftit_shortcode'),
		'desc'  => esc_html__('Please select the background color', 'craftit_shortcode'),
		'type'  => 'color-picker',
	),
	'background_image' => array(
		'label'   => esc_html__('Background Image', 'craftit_shortcode'),
		'desc'    => esc_html__('Please select the background image', 'craftit_shortcode'),
		'type'    => 'background-image',
		'choices' => array(
		)
	),
	'background_size' => array(
		'type'  => 'select',
		'label' => __('Background size', 'craftit_shortcode'),
		'desc'  => __('Set the background image size', 'craftit_shortcode'),
		'choices' => array(
			'' => __('none', 'craftit_shortcode'),	
			'auto' => __('auto', 'craftit_shortcode'),
			'cover' => __('Cover', 'craftit_shortcode'),
			'contain' => __('Contain', 'craftit_shortcode'),
			'initial' => __('Default', 'craftit_shortcode'),
			'inherit' => __('Inherit', 'craftit_shortcode'),
			
		)
	),	
	'video' => array(
		'label' => esc_html__('Background Video', 'craftit_shortcode'),
		'desc'  => esc_html__('Insert Video URL to embed this video', 'craftit_shortcode'),
		'type'  => 'text',
	),

'padding' => array(
    'type' => 'fw-multi-inline',
    'label' => __('Padding', 'craftit_shortcode'),
    'desc' => __('Padding top, right, bottom and right in px or %', 'craftit_shortcode'),
	'value' => array(
		'desktop_top' =>'',
        'desktop_right' =>'',
        'desktop_bottom' =>'',
        'desktop_left' =>'',
		'tablet_top' =>'',
        'tablet_right' =>'',
        'tablet_bottom' =>'',
        'tablet_left' =>'',	
		'mobile_top' =>'',
        'mobile_right' =>'',
        'mobile_bottom' =>'',
        'mobile_left' =>'',		
    ),
    'fw_multi_options' => array(
        'desktop_top' => array(
            'type' =>'short-text',
            'title' => __('Desktop Top', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'top' ),
        ),
        'desktop_right' => array(
            'type' =>'short-text',
            'title' => __('Desktop Right', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'right' ),

        ),
        'desktop_bottom' => array(
            'type' =>'short-text',
            'title' => __('Desktop Bottom', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'bottom' ),

        ),
        'desktop_left' => array(
            'type' =>'short-text',
            'title' => __('Desktop Left', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'left' ),
        ),   
		'tablet_top' => array(
            'type' =>'short-text',
            'title' => __('Tablet Top', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'top' ),
        ),
        'tablet_right' => array(
            'type' =>'short-text',
            'title' => __('Tablet Right', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'right' ),

        ),
        'tablet_bottom' => array(
            'type' =>'short-text',
            'title' => __('Tablet Bottom', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'bottom' ),

        ),
        'tablet_left' => array(
            'type' =>'short-text',
            'title' => __('Tablet Left', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'left' ),
        ),   		
		'mobile_top' => array(
            'type' =>'short-text',
            'title' => __('Mobile Top', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'top' ),
        ),
        'mobile_right' => array(
            'type' =>'short-text',
            'title' => __('Mobile Right', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'right' ),

        ),
        'mobile_bottom' => array(
            'type' =>'short-text',
            'title' => __('Mobile Bottom', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'bottom' ),

        ),
        'mobile_left' => array(
            'type' =>'short-text',
            'title' => __('Mobile Left', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'left' ),
        ),  
    )
),

'border' => array(
    'type' => 'fw-multi-inline',
    'label' => __('Border', 'craftit_shortcode'),
    'desc' => __('Define the border of the section', 'craftit_shortcode'),
	'value' => array(
		'border_top' =>'',
		'border_right' =>'',
		'border_bottom' =>'',
		'border_left' =>'',
        'border_style' =>'',
        'border_color' =>'',
    ),
    'fw_multi_options' => array(
        'border_top' => array(
            'type' =>'short-text',
            'title' => __('Border top size', 'craftit_shortcode'),
        ),
        'border_right' => array(
            'type' =>'short-text',
            'title' => __('Border right Size', 'craftit_shortcode'),
        ),
        'border_bottom' => array(
            'type' =>'short-text',
            'title' => __('Border bottom Size', 'craftit_shortcode'),
        ),
        'border_left' => array(
            'type' =>'short-text',
            'title' => __('Border left Size', 'craftit_shortcode'),
        ),		
		'border_style'=> array(
			'type'  => 'select',
			'title' => __('Style', 'craftit_shortcode'),
			'label' => __('Background Style', 'craftit_shortcode'),
			'desc'  => __('Set the background image size', 'craftit_shortcode'),
			'choices' => array(
				'none' => __('none', 'craftit_shortcode'),
				'hidden' => __('hidden', 'craftit_shortcode'),
				'dotted' => __('dotted', 'craftit_shortcode'),
				'dashed' => __('dashed', 'craftit_shortcode'),
				'solid' => __('solid', 'craftit_shortcode'),
				'double' => __('double', 'craftit_shortcode'),
				'groove' => __('groove', 'craftit_shortcode'),
				'ridge' => __('ridge', 'craftit_shortcode'),
				'inset' => __('inset', 'craftit_shortcode'),
				'outset' => __('outset', 'craftit_shortcode'),
				'initial' => __('initial', 'craftit_shortcode'),
				'inherit' => __('inherit', 'craftit_shortcode'),
				
			)
		),
        'border_color' => array(
			'type'  => 'color',
			'title' => __('Color', 'craftit_shortcode'),
			'label' => __('Color', 'craftit_shortcode'),
			'desc'  => __('Inser the border color ', 'craftit_shortcode'),
			
		)  

    )
),
'margin' => array(
    'type' => 'fw-multi-inline',
    'label' => __('Margin', 'craftit_shortcode'),
    'desc' => __('Margin top, right, bottom and right in px', 'craftit_shortcode'),
	'value' => array(
		'desktop_top' =>'',
        'desktop_right' =>'',
        'desktop_bottom' =>'',
        'desktop_left' =>'',
		'tablet_top' =>'',
        'tablet_right' =>'',
        'tablet_bottom' =>'',
        'tablet_left' =>'',	
		'mobile_top' =>'',
        'mobile_right' =>'',
        'mobile_bottom' =>'',
        'mobile_left' =>'',	
		),
	
    'fw_multi_options' => array(
       'desktop_top' => array(
            'type' =>'short-text',
            'title' => __('Desktop Top', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'top' ),
        ),
        'desktop_right' => array(
            'type' =>'short-text',
            'title' => __('Desktop Right', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'right' ),

        ),
        'desktop_bottom' => array(
            'type' =>'short-text',
            'title' => __('Desktop Bottom', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'bottom' ),

        ),
        'desktop_left' => array(
            'type' =>'short-text',
            'title' => __('Desktop Left', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'left' ),
        ),   
		'tablet_top' => array(
            'type' =>'short-text',
            'title' => __('Tablet Top', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'top' ),
        ),
        'tablet_right' => array(
            'type' =>'short-text',
            'title' => __('Tablet Right', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'right' ),

        ),
        'tablet_bottom' => array(
            'type' =>'short-text',
            'title' => __('Tablet Bottom', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'bottom' ),

        ),
        'tablet_left' => array(
            'type' =>'short-text',
            'title' => __('Tablet Left', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'left' ),
        ),   		
		'mobile_top' => array(
            'type' =>'short-text',
            'title' => __('Mobile Top', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'top' ),
        ),
        'mobile_right' => array(
            'type' =>'short-text',
            'title' => __('Mobile Right', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'right' ),

        ),
        'mobile_bottom' => array(
            'type' =>'short-text',
            'title' => __('Mobile Bottom', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'bottom' ),

        ),
        'mobile_left' => array(
            'type' =>'short-text',
            'title' => __('Mobile Left', 'craftit_shortcode'),
			'attr'  => array( 'placeholder' => 'left' ),
        ),   

    )
),
'align' => array(
    'type'  => 'radio',
    'label' => esc_html__('Align', 'craftit_shortcode'),
    'desc'  => esc_html__('Choose the align more', 'craftit_shortcode'),
	'value' => 'none',
    'choices' => array( 
        'none' => esc_html__('None', 'craftit_shortcode'),
		'align-left' => esc_html__('Left', 'craftit_shortcode'),
        'align-right' => esc_html__('Right', 'craftit_shortcode'),
        'align-center' => esc_html__('Center', 'craftit_shortcode'),
		'align-justify' => esc_html__('Justify', 'craftit_shortcode'),
    ),
    // Display choices inline instead of list
    'inline' => false,
),
'extra_class_name'   => array(
		'type'  => 'text',
		'label' => __( 'Extra class name', 'craftit_shortcode' ),
		'desc'  => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'craftit_shortcode')
	),
'uid'=> array( 'type' => 'unique' ),

);
