<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}



$bg_video_data_attr    = '';
$section_extra_classes = '';
if ( ! empty( $atts['video'] ) ) {
	$filetype           = wp_check_filetype( $atts['video'] );
	$filetypes          = array( 'mp4' => 'mp4', 'ogv' => 'ogg', 'webm' => 'webm', 'jpg' => 'poster' );
	$filetype           = array_key_exists( (string) $filetype['ext'], $filetypes ) ? $filetypes[ $filetype['ext'] ] : 'video';
	$data_name_attr = version_compare( fw_ext('shortcodes')->manifest->get_version(), '1.3.9', '>=' ) ? 'data-background-options' : 'data-wallpaper-options';
	$bg_video_data_attr = $data_name_attr.'="' . fw_htmlspecialchars( json_encode( array( 'source' => array( $filetype => $atts['video'] ) ) ) ) . '"';
	$section_extra_classes .= ' background-video';
}
if(!empty($atts['extra_class_name'])) $section_extra_classes .= ' '.esc_attr($atts['extra_class_name']);

$container_class = ( isset( $atts['is_fullwidth'] ) && $atts['is_fullwidth'] ) ? 'fw-container-fluid' : 'fw-container';

if($atts['align'] != 'none') $section_extra_classes .= ' '.esc_attr($atts['align']);

if ( $atts['is_fullwidth'] ) {
	echo '</div>';
	echo '</div>';
	echo '</article>';
	echo '</div>';
	echo '</div>';
	echo '</div>';
}

?>

<section class="fw-main-row <?php echo esc_attr($section_extra_classes) ?>" <?php echo $bg_video_data_attr; ?> id="uid_<?php echo esc_attr($atts['uid']); ?>">
	<div class="<?php echo esc_attr($container_class); ?>">
		<?php echo do_shortcode( $content ); ?>
	</div>
</section>

<?php
if ( $atts['is_fullwidth'] ) {
	echo '<div class="container">';
	echo '<div class="row">';
}
