(function ($) {
"use strict";

function gg_isotope_init() {

	if($('.el-grid:not(.gg-slick-carousel)').length > 0){
	
	    jQuery('.masonry_post').each(function(){
	        var $grid = jQuery(this);
	        //var $thumbs = $container.find('.el-grid:not(.gg-slick-carousel):not([data-layout-mode="list"])');
	        var layout_mode = $(this).data('layout-mode');

			var _this = this;

	        jQuery(window).on('load resize', function() {
				$grid.imagesLoaded( function() {
					$grid.isotope({
						itemSelector : '.isotop-grid-item',
						layoutMode : layout_mode//fitRows or masonry
					});	
					
				});
	        });

	    });
	}
}

/* Magnific */
function gg_magnific_init() {
	
	if($('.maginific-simple').length > 0){
		
		$('.maginific-simple').magnificPopup({type:'image'});
	}
	if($('.el-grid:not(.no_magnific), .gg-slick-carousel.has_magnific, .wpb_image_grid.has_magnific, .wpb_single_image.has_magnific, .post-thumbnail.has_magnific, .size-guide-wrapper.has_magnific, .gg-contact-template').length > 0){
		$( '.el-grid:not(.no_magnific), .gg-slick-carousel.has_magnific, .wpb_image_grid.has_magnific, .wpb_single_image.has_magnific, .post-thumbnail.has_magnific, .size-guide-wrapper.has_magnific, .gg-contact-template' ).each(function(){
			$(this).magnificPopup({
				delegate: 'a.lightbox-el',
				type: 'image',
				gallery: {
		            enabled: true
		        },
				callbacks: {
				    elementParse: function(item) {
				    	if(item.el.context.className == 'lightbox-el link-wrapper lightbox-video') {
				        	item.type = 'iframe';
				    	} else if(item.el.context.className == 'lightbox-el gg-popup') {
				        	item.type = 'inline';
				        } else {
				        	item.type = 'image';
				      	}
				    }
				}
			});
		});
	}
}

/* SlickCarousel */
function gg_slickcarousel_init() {
	if($('.gg-slick-carousel:not(.gg_filter)').length > 0){
		$( '.gg-slick-carousel:not(.gg_filter)' ).each(function(){

			var $this = $(this);
			var filtered = false;

			$('.gg_filter.gg-slick-carousel a').on('click', function(e){
				e.preventDefault();
				$(this).parent().parent().find('.active').removeClass('active');
				$(this).parent().addClass('active');

		        var gg_filter = $(this).parent().parent().parent().parent().find('.el-grid.gg-slick-carousel');

		        if ($(this).attr('data-filter') == '*') {
			      	gg_filter.slick('slickUnfilter');
			      	gg_filter.slick('slickGoTo',0);
				    filtered = false;
			    } else {
				  	gg_filter.slick('slickFilter',$(this).attr('data-filter'));
				  	gg_filter.slick('slickGoTo',0);
				    filtered = true;
			    } 
			});

		});

	}
}
function craftit_update_slick_slider(selector){
	
		var id = $(selector).data('uid');
		var with_dots  = $(selector).data('dots');

		$(selector).slick({
			centerMode: false,
			dots: with_dots,
			prevArrow: $('#carusel-prev-'+id),
			nextArrow: $('#carusel-next-'+id),
			centerPadding: '60px',
			slidesToShow: $(selector).data('columns'),
			responsive: [
				{
				  breakpoint: 992,
				  settings: {
					arrows: false,
					centerMode: false,
					centerPadding: '40px',
					slidesToShow: 3
				  }
				},
				{
				  breakpoint: 768,
				  settings: {
					arrows: false,
					centerMode: false,
					centerPadding: '40px',
					slidesToShow: 2
				  }
				},
				{
				  breakpoint: 480,
				  settings: {
					arrows: false,
					centerMode: false,
					centerPadding: '40px',
					slidesToShow: 1
				  }
				}
			]
		});	
}

$(document).ready(function ($) {


	
	$(".whiteModal").getNiceScroll().hide();

	//carousel
	if($('.carousel-slick').length > 0) {
		$('.carousel-slick').each(function(){
			craftit_update_slick_slider(this);
		});
	}	
	gg_slickcarousel_init();
    gg_magnific_init();
    gg_isotope_init();

	if($('.craftit_countify').length > 0){
		$('.craftit_countify').each(function(){
			$(this).Countify({});
		})
	}



//add to cart 
$('body').on('added_to_cart',function(e,d){
	
    var data = {
		'action': 'craftit_woo_get_products',
	};

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajax_object.ajax_url, data, function(response) {
		if(parseInt(response.total) > 0){
				$('#cart_content').html(response.html);	
				$('.cart-shop-top span.gg-products-count').html(response.total);
		}
	},'json');
});

/**increase the social share count number */
if($('.post-social .social-share-buttons li a' ).length > 0){
	$('.post-social .social-share-buttons li a' ).on('click tuchend', function(e){
			var pid = parseInt($(this).data('post-id'));
			jQuery.ajax({
					type: 'POST',
					url:ajax_object.ajax_url,
					data: { 
						action: "craftit_update_social_share_count", 
						post_id: pid
					},
					success: function(newCount) {
                        $('#social-count-'+pid).html(newCount)
					}
			});				
		
	});
}	
// galleries popup 
if(	$( '.gallery-image a').length >0 ){
	$( '.gallery-image a').magnificPopup({type:'image'});	
}

/*woocommerce results/page*/
if($('#craftit_woo_result_count').length  > 0){
	$('#craftit_woo_result_count').on('change', function(){
		
		window.location.href = craftit_update_parameter(window.location.href,'woo_per_page',$(this).val());
	})
}
	
    //WPML menu
    if ($('.sub-menu.submenu-languages').length > 0)  {
    	var submenu = $('.sub-menu.submenu-languages');
    	var menu = submenu.parent();

    	menu.addClass('gg-wpml-menu');
    	menu.find('a').addClass('dropdown-toggle').attr('data-toggle', 'dropdown');
    	submenu.addClass('dropdown-menu noclose');
    }

    //Hover navbar
	function hoverNavbar() {
		if ( $(window).width() > 992 && !$('body').hasClass('gg-theme-is-mobile') ) {
			
			$('.navbar-default .dropdown, .navbar-default .dropdown-submenu').on('mouseover', function(){
				$(this).addClass('open');

			}).on('mouseout', function(){
				$(this).removeClass('open');
			});
			
			$('.dropdown-toggle').on('click', function() {
				if ($(this).next('.dropdown-menu').is(':visible')) {
					window.location = $(this).attr('href');
				}
			});
		}
		else {
			$('.navbar-default .dropdown').off('mouseover').off('mouseout');
		}
	}
	//Load, resize, added to cart
	$(window).bind("load resize added_to_cart",function(e){
	 	hoverNavbar();
	});

	/* Slider under header */
	function gg_slider_position() {
		var header_nav = $('header nav.navbar');
		if( $('body').hasClass('gg-slider-is-beneath_header') ) {
			var headerHeight = header_nav.outerHeight();
			var revSlider = $('.subheader-slider').first();
			revSlider.css({
				'marginTop' : - headerHeight
			});
		}
	}

	//Load, resize, added to cart
	$(window).bind("load resize",function(e){
	 	gg_slider_position();
	});
    

    //Sticky menu
    function gg_sticky_menu() {
		if($('body.gg-has-stiky-menu').length > 0) {
			var main_menu = $('header.site-header .navbar');
			var main_menu_height = main_menu.outerHeight();
			var admin_bar = 0;

			if($('body.admin-bar').length > 0) {
				admin_bar = 32;
			}

       		$(window).on('scroll', function () {

       			if ($(this).scrollTop() > main_menu_height) {

       				main_menu.addClass('navbar-fixed-top');
       				$('body.gg-has-stiky-menu').css('padding-top', main_menu_height +'px');

       				setTimeout(function() {
					    $('header.site-header .navbar.navbar-fixed-top').css('top', admin_bar +'px');
					}, 500);

       			} else {

       				main_menu.removeClass('navbar-fixed-top');
       				$('body.gg-has-stiky-menu').css('padding-top', '0');
       				main_menu.css('top', '');

       			}

       		});
		}
	}

    //Load, resize, added to cart
	$(window).bind("load resize",function(e){
	 	gg_sticky_menu();
	});

        
	// here for the submit button of the comment reply form
	$( '#submit, input[type="button"], input[type="reset"], input[type="submit"], a.checkout-button' ).addClass( 'btn btn-primary' );	
	
	$( 'table' ).not('.variations, .cart').addClass( 'table');

	$( 'form' ).not('.header-search form, .variations_form').addClass( 'table');

	$('form').attr('role', 'form');

	var inputs = $('input, textarea')
            .not(':input[type=button], :input[type=submit], :input[type=reset]');

	$(inputs).each(function() {
	    $(this).addClass('form-control');
	});

	if($('body.gg-theme-is-mobile').length > 0) {
		$("a.product-image-overlay").on('click', function(event) {
		    event.preventDefault();
		});
	}

    //Currency switcher
	if($('.site-header .gg-currency-switcher').length > 0) {
	    $('.gg-currency-switcher ul.wcml_currency_switcher').addClass('dropdown-menu noclose');
    }

    /* post 2  shortcode */
  
  	$(document).on('touchend click','.posts2 .ajaxLoadMore', function(e){
			var id = $(this).data('uid');
			$('#posts2_page'+id).val( parseInt($('#posts2_page'+id).val()) + 1);
			craftit_loadMorePost2(id,false,false,false);
			e.preventDefault();
	})  ;
	$(document).on('touchend click','.posts2 .posts_simple_pagination a.enabled', function(e){
			var id = $(this).data('uid');
			$('#posts2_page'+id).val($(this).data('page'));
			craftit_loadMorePost2(id,true,true,false);
			e.preventDefault();
	})  ;
	$(document).on('touchend click','.posts2 .craftit-post1masonry-categories a', function(e){
			$('.posts2 .craftit-post1masonry-categories a').removeClass('active');
			$(this).addClass('active');
			var id = $(this).data('uid');
			$('#posts2_page'+id).val(1);
			$('#posts2_default_category'+id).val( $(this).data('catid') );
			craftit_loadMorePost2(id,true,false,true);
			e.preventDefault();
	})  ;
	$(document).on('touchend click','.posts2 .craftit-post1SimplePagination-categories a', function(e){
			var id = $(this).data('uid');
			$('#posts2_page'+id).val(1);
			$('#posts2_default_category'+id).val( $(this).data('catid') );
			craftit_loadMorePost2(id,true,true,true);
			e.preventDefault();
		
	})  ;	
  /* gallery shortcode */
	$(document).on('touchend click','.posts1 .ajaxLoadMore', function(e){
			var id = $(this).data('uid');
			$('#posts1_page'+id).val( parseInt($('#posts1_page'+id).val()) + 1);
			craftit_loadMorePost1(id,false,false,false);

			//Loading animation
			$(this).addClass('loading');

			e.preventDefault();
	})  ;	
	$(document).on('touchend click','.posts1 .posts_simple_pagination a.enabled', function(e){
			var id = $(this).data('uid');
			$('#posts1_page'+id).val($(this).data('page'));
			craftit_loadMorePost1(id,true,true,false);
			e.preventDefault();
	})  ;	
	$(document).on('touchend click','.posts1 .craftit-post1masonry-categories a', function(e){
			var id = $(this).data('uid');
			$('#posts1_page'+id).val(1);
			$('.posts1 .craftit-post1masonry-categories a').removeClass('active');
			$(this).addClass('active');
			$('#posts1_default_category'+id).val( $(this).data('catid') );
			craftit_loadMorePost1(id,true,false,true);
			e.preventDefault();
	
	})  ;
	$(document).on('touchend click','.posts1 .craftit-post1SimplePagination-categories a', function(e){
			var id = $(this).data('uid');
			$('#posts1_page'+id).val(1);
			$('.posts1 .craftit-post1SimplePagination-categories a').removeClass('active');
			$(this).addClass('active');
			$('#posts1_default_category'+id).val( $(this).data('catid') );
			craftit_loadMorePost1(id,true,true);
			e.preventDefault();
		
	})  ;	
	/*gallery slick slider */
	
	if($('.gallery-slick-slider .gallery-image').length > 0){
		var col = parseInt($('.gallery-slick-slider').data('cols'));
		if(isNaN(col)) col = 1; 
		console.log(col);
		$('.gallery-slick-slider').slick({
								  infinite: true,
								  slidesToShow: col,
								  slidesToScroll: col
								});
	}
/*remove item from cart */

if($('.cart-shop-top').length > 0) {
	
	$(document).on('click touchend','.gg-header-minicart .white-modal-remove a', function(e){
		$(this).off('click touchend');
		var pid = $(this).data('product_id');
		$('#craftit-cartItemtop-'+pid).addClass('removing');
		jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url:ajax_object.ajax_url,
            data: { 
				action: "craftit_remove_product_cart", 
                product_id: pid
            },success: function(data){
            	if (data.mod == 1) {
					$('#craftit-cartItemtop-'+pid).remove();
					$('.cart-shop-top span.gg-products-count').each(function(){
						$(this).html(data.cart_total);
						
					});				 
					$('.subtotal').each(function(){
						$(this).html(data.subtotal);
						
					});
					craftit_updateCartWidthItems();
			  	} else if(data.mod==2) {
					$('.cart-shop-top span.gg-products-count').each(function(){
						$(this).html('0');
					});	
				  $('#cart_content .alert').html(data.error);
				  $('.whiteModal .white-modal-item ul, .white-modal-subtotal, .white-modal-buttons ').hide();
			  	}

            }
        });
		e.preventDefault();
	});// end event on click touchend
	
}

$('.cart-shop-top, .gg-login-register, .top-search-button, .craftit_filter a').on('click touchend', function(e){
	var id = $(this).attr('href'); 
	$(id).addClass('md-show');

	//Nicescroll
	$(id).niceScroll({
		autohidemode: "hidden",
		cursorcolor: "#ff0000",
		zindex: -9999
	});

	e.preventDefault();
});
	
$(document).on('click touchend','.whiteModal .white-modal-item .close a ', function(e){
		$(this).parent().parent().parent().removeClass('md-show');
		$(".whiteModal").getNiceScroll().remove();
		e.preventDefault();
	});	
});

function craftit_loadMorePost2(id,overwrite,isSimplePagination,isCategory){
	var $ = jQuery

	$('#posts_'+id).addClass('loading');
	if($('#posts2_show_categories'+id).val() == 'enable') {
		$('#ajax_'+id+'_loader').addClass('loading');
	}

	var data = {
				action: 'craftit_unyson_post',
				uid: id,
				page: parseInt($('#posts2_page'+id).val()),
				css_class: $('#posts2_css_class'+id).val(),
				current_post_id: $('#posts2_current_post_id'+id).val(),
				title: $('#posts2_title'+id).val(),
				subtitle: $('#posts2_subtitle'+id).val(),
				show_categories: $('#posts2_show_categories'+id).val(),
				pagination_type: $('#posts2_pagination_type'+id).val(),
				pagination_layout: $('#posts2_pagination_layout'+id).val(),
				per_page: ($('#posts2_per_page'+id).val()),
				columns: $('#posts2_columns'+id).val(),
				orderby:  $('#posts2_orderby'+id).val(),
				order:  $('#posts2_order'+id).val(),
				limit_category:  $('#posts2_limit_category'+id).val(),
				default_category:  $('#posts2_default_category'+id).val(),
				label_button:  $('#posts2_label_button'+id).val(),
				exclude_post:  $('#posts2_exclude_post'+id).val(),
				only_post:  $('#posts2_only_post'+id).val()
			};

			// We can also pass the url value separately from ajaxurl for front end AJAX implementations
			jQuery.post(ajax_object.ajax_url, data, function(response) {
				var posts_count_1 = data.page * data.per_page;

				$('#posts_'+id).removeClass('loading');
				
				if($('#posts2_show_categories'+id).val() == 'enable') {
					$('#ajax_'+id+'_loader').removeClass('loading');
				}

				$('#posts_'+id).find('.ajaxLoadMore').removeClass('loading');

				if(response.html){
					if(data.page < response.post_count )	{
						if($('#posts_'+id+' .ajaxLoadMorePosts').length > 0){
								$('#posts_'+id+' .ajaxLoadMorePosts').slideDown();
								$('#posts_'+id+' .ajaxLoadMorePosts').removeClass('hidden');
								
								
						}
						if($('#posts_'+id+' .ajaxLoadMore').length > 0 ){
								$('#posts_'+id+' .ajaxLoadMore').slideDown();
							
								$('#posts_'+id+' .ajaxLoadMore').removeClass('hidden');
						}

					}else{
				
							$('#posts_'+id+' .ajaxLoadMorePosts').addClass('hidden');		
						}
					// it is a category
					if(overwrite) {
				
						// update the button and slide up the button, just in case is hidden
						if(data.pagination_layout == 'carousel'){
							
							$($('#carusel-'+id)).slick("unslick");
							$('#carusel-'+id).html(response.html);
							craftit_update_slick_slider($('#carusel-'+id));
						}else{
							$('#posts_'+id+' .posts1_cnt').html(response.html);
						
						} 
					} else { 
				
						$('#posts_'+id+' .posts1_cnt').append(response.html);
					}

					if(!data.pagination_layout != 'carousel_pagination'){
								jQuery('#posts_'+id+' .masonry_post').imagesLoaded( function() {
									
									updateMasonry(jQuery('#posts_'+id+' .masonry_post'),'.masonry_post_item');
										if($('#posts_'+id+' .'+response.first).length > 0 && !isCategory){
											craftit_scroll2('#posts_'+id+' .'+response.first);
										}
								}) ;
							}						
				}
		

			},'json');
}
/*pagination for load more style **/
function craftit_loadMorePost1(id,overwrite,isSimplePagination,isCategory){
	var $ = jQuery;

	$('#posts_'+id).addClass('loading');
	if($('#posts1_show_categories'+id).val() == 'enable') {
		$('#ajax_'+id+'_loader').addClass('loading');
	}

	var data = {
                action: 'craftit_unyson_gallery',
                uid: id,
                page: $('#posts1_page'+id).val(),
                css_class: $('#posts1_css_class'+id).val(),
                current_post_id: $('#posts1_current_post_id'+id).val(),
                title: $('#posts1_title'+id).val(),
                subtitle: $('#posts1_subtitle'+id).val(),
                show_categories: $('#posts1_show_categories'+id).val(),
                pagination_type: $('#posts1_pagination_type'+id).val(),
                pagination_layout: $('#posts1_pagination_layout'+id).val(),
                per_page: $('#posts1_per_page'+id).val(),
                columns: $('#posts1_columns'+id).val(),
                orderby:  $('#posts1_orderby'+id).val(),
                order:  $('#posts1_order'+id).val(),
                limit_category:  $('#posts1_limit_category'+id).val(),
                default_category:  $('#posts1_default_category'+id).val(),
                label_button:  $('#posts1_label_button'+id).val(),
                exclude_post:  $('#posts1_exclude_post'+id).val(),	
                only_post:  $('#posts1_only_post'+id).val()
			};

			// We can also pass the url value separately from ajaxurl for front end AJAX implementations
			jQuery.post(ajax_object.ajax_url, data, function(response) {

				$('#posts_'+id).removeClass('loading');
				
				if($('#posts1_show_categories'+id).val() == 'enable') {
					$('#ajax_'+id+'_loader').removeClass('loading');
				}

				$('#posts_'+id).find('.ajaxLoadMore').removeClass('loading');
				
				if(response.html){// it is a category
				
					if(data.page < response.post_count )	{
						
						if($('#posts_'+id+' .ajaxLoadMorePosts').length > 0){
							$('#posts_'+id+' .ajaxLoadMorePosts').slideDown();
							$('#posts_'+id+' .ajaxLoadMorePosts').removeClass('hidden');		
						}
						

					}else{
				
							$('#posts_'+id+' .ajaxLoadMorePosts').addClass('hidden');		
						}
					if(overwrite) {
						
						// update the button and slide up the button, just in case is hidden
						$('#posts_'+id+' .posts1_cnt').html(response.html);
						$('#posts_'+id+' .ajaxLoadMorePosts').slideDown();	
					
						if(data.pagination_layout == 'carousel'){
							$($('#carusel-'+id)).slick("unslick");
							craftit_update_slick_slider($('#carusel-'+id));
						} 
						
					} else { 
					// just a simple ajax
						$('#posts_'+id+' .posts1_cnt').append(response.html);
					}
				}
				// if is masonry layout then update it else ignore it
					if(!isSimplePagination){
						jQuery('#posts_'+id+' .masonry_post').imagesLoaded( function() {
							updateMasonry(jQuery('#posts_'+id+' .masonry_post'),'.masonry_post_item');
							if(response.first != '' && !isCategory )  craftit_scroll2('#posts_'+id+' .'+response.first);
						}) ;
					}
			},'json');
}


function craftit_updateCartWidthItems(){
	if(jQuery('#simpleModal ul li').length ==1 ){
		jQuery('#simpleModal ul').addClass('single-item');
	}else{
		jQuery('#simpleModal ul').removeClass('single-item');
	}
}
	
/* get content for a category **/
if($('.craftit-categories a').length > 0){
	
	$('.craftit-categories a').on('click touchend', function(e){
		
		$('#'+$(this).parent().attr('id')+' a').removeClass('current');
		
		$(this).addClass('current');
		var ajax_id = $(this).attr('href').split('#ajax_');
		
		$('#ajax_page'+ajax_id[1]).val(0);
		$('#ajax_default_category'+ajax_id[1]).val($(this).data('id') );
		

	    craftit_unyson_getProducts(ajax_id[1],true,true,true )
	
		e.preventDefault();
	});
}
//grid navigation 
if($('.product_grid a').length > 0){
	$(document).on('click touchend','.product_grid a', function(e){
		if($(this).hasClass('disabled')) return false;
		var uid = $(this).data('uid');
		$('#ajax_page'+uid).val($(this).data('page') );
		craftit_unyson_getProducts(uid ,true,false,false);
		e.preventDefault();
	});
}

if($('.ajaxLoadMoreProducts a').length > 0){
	$(document).on('click touchend','.ajaxLoadMoreProducts a', function(e){
	
		var uid = $(this).data('uid');

		$('#ajax_page'+uid).val( parseInt($('#ajax_page'+uid).val())+1 );
		craftit_unyson_getProducts(uid,false,false,false );
		
		//Loading animation
		$('#ajax_'+uid).parent().removeClass('loading');
		$(this).addClass('loading');

		e.preventDefault();
	});
}

if($('.blog_grid a').length > 0){
	$(document).on('click touchend','.blog_grid a', function(e){
		if($(this).hasClass('disabled')) return false;
		var uid = $(this).data('uid');
		$('#ajax_page'+uid).val($(this).data('page') );
		craftit_unyson_getBlogs(uid );
		 e.preventDefault();
	});
}


/*unsyon functions*/
function craftit_unyson_getProducts(unique_id,overwrite,showAjaxButton, is_category){
	var $ = jQuery;

	$('#ajax_'+unique_id).parent().addClass('loading');
	
	if($('#ajax_show_filters'+unique_id).val() == 'enable') {
		$('#ajax_'+unique_id+'_loader').addClass('loading');
	}

	var data = {
				action: 'craftit_unyson_products',
				category: $('#ajax_default_category'+unique_id).val(),
				current_post_id: $('#ajax_current_post_id'+unique_id).val(),
				css_class: $('#ajax_css_class'+unique_id).val(),
				exclude_products: $('#ajax_exclude_products'+unique_id).val(),
				only_post: $('#ajax_only_post'+unique_id).val(),
				title: $('#ajax_title'+unique_id).val(),
				subtitle: $('#ajax_subtitle'+unique_id).val(),
				style: $('#ajax_style'+unique_id).val(),
				pagination_type: $('#ajax_pagination_type'+unique_id).val(),
				per_page: $('#ajax_per_page'+unique_id).val(),
				columns:  $('#ajax_columns'+unique_id).val(),
				orderby:  $('#ajax_orderby'+unique_id).val(),
				label_button:  $('#ajax_label_button'+unique_id).val(),
				order:  $('#ajax_order'+unique_id).val(),
				show_filters:  $('#ajax_show_filters'+unique_id).val(),
				show_on_sale:  $('#ajax_show_on_sale'+unique_id).val(),
				default_category:  $('#ajax_default_category'+unique_id).val(),
				show_most_popular:  $('#ajax_show_most_popular'+unique_id).val(),
				show_new_items:  $('#ajax_show_new_items'+unique_id).val(),
				show_categories:  $('#ajax_show_categories'+unique_id).val(),
				show_featured:  $('#ajax_show_featured'+unique_id).val(),
				limit_category:  $('#ajax_limit_category'+unique_id).val(),
				show_only_categories:  $('#ajax_show_only_categories'+unique_id).val(),
				page:  $('#ajax_page'+unique_id).val(),
				showAjaxButton:showAjaxButton,
				uid: unique_id
			};

			// We can also pass the url value separately from ajaxurl for front end AJAX implementations
			jQuery.post(ajax_object.ajax_url, data, function(response) {

				
				$('#ajax_'+unique_id).parent().removeClass('loading');

				if($('#ajax_show_filters'+unique_id).val() == 'enable') {
					$('#ajax_'+unique_id+'_loader').removeClass('loading');
				}

				if ( data.style == 'carousel' ) {
					$($('#carusel-'+unique_id)).slick("unslick");
				}

				if (overwrite) {
					if(data.pagination_type == 'simple_pagination'){
						$('#ajax_'+unique_id).html(response.html);
					}else{
						$('#ajax_'+unique_id+' .products-carousel').html(response.html);
					}
				
				} else {
	
					$('#ajax_'+unique_id+' .products-carousel').append(response.html);
					
				}
					
				if (data.style == 'carousel') {
					$('#ajax_'+unique_id+'').html(response.html);
					craftit_update_slick_slider($('#carusel-'+unique_id));
				} else {
					jQuery('#ajax_'+unique_id+' .masonry_post').imagesLoaded( function() {
						updateMasonry(jQuery('#ajax_'+unique_id+' .masonry_post'),'#ajax_'+unique_id+' .masonry_post_item');
						jQuery('#ajax_'+unique_id).find('.ajaxLoadMore').removeClass('loading');
						if(response.first != '' && !is_category)  craftit_scroll2('#ajax_'+unique_id+' .'+response.first);
					}) ;
				}

			},'json');
}
})(jQuery);

function craftit_unyson_getBlogs(unique_id){
	var $ = jQuery;
	$('#ajax_'+unique_id+'_loader').fadeIn();
	var data = {
				action: 'craftit_unyson_posts',
				unique_id: unique_id,
				category: $('#ajax_default_category'+unique_id).val(),
				css_class: $('#ajax_css_class'+unique_id).val(),
				exclude_products: $('#ajax_exclude_products'+unique_id).val(),
				title: $('#ajax_title'+unique_id).val(),
				subtitle: $('#ajax_subtitle'+unique_id).val(),
				style: $('#ajax_style'+unique_id).val(),
				per_page: $('#ajax_per_page'+unique_id).val(),
				columns:  $('#ajax_columns'+unique_id).val(),
				orderby:  $('#ajax_orderby'+unique_id).val(),
				order:  $('#ajax_order'+unique_id).val(),
				default_category:  $('#ajax_default_category'+unique_id).val(),
				limit_category:  $('#ajax_limit_category'+unique_id).val(),
				page:  $('#ajax_page'+unique_id).val()
			};
		
			// We can also pass the url value separately from ajaxurl for front end AJAX implementations
			jQuery.post(ajax_object.ajax_url, data, function(response) {
				$('#ajax_page'+unique_id).val(1 );
				$('#ajax_'+unique_id+'_loader').hide();
				$('#ajax_'+unique_id).html(response);
			});
}

/** convert svg img to svg */

jQuery('img.svg').each(function(){
	var $img = jQuery(this);
	var imgID = $img.attr('id');
	var imgClass = $img.attr('class');
	var imgURL = $img.attr('src');

	jQuery.get(imgURL, function(data) {
		// Get the SVG tag, ignore the rest
		var $svg = jQuery(data).find('svg');

		// Add replaced image's ID to the new SVG
		if(typeof imgID !== 'undefined') {
			$svg = $svg.attr('id', imgID);
		}
		// Add replaced image's classes to the new SVG
		if(typeof imgClass !== 'undefined') {
			$svg = $svg.attr('class', imgClass+' replaced-svg');
		}

		// Remove any invalid XML tags as per http://validator.w3.org
		$svg = $svg.removeAttr('xmlns:a');

		// Replace image with new SVG
		$img.replaceWith($svg);

	}, 'xml');

});


function updateMasonry(selector,itemSelector){

	if(selector.data('layout-mode')) {
		selector.isotope('destroy');
	}
	
	var layout =  selector.data('layout-mode'); 
	if(layout == undefined) {
		layout = 'fitRows';

	} 

	selector.isotope({
		// options
		itemSelector: itemSelector ,
		layoutMode: layout
	});


}

function craftit_update_parameter(url, param, value) {
    // Using a positive lookahead (?=\=) to find the
    // given parameter, preceded by a ? or &, and followed
    // by a = with a value after than (using a non-greedy selector)
    // and then followed by a & or the end of the string
    var val = new RegExp('(\\?|\\&)' + param + '=.*?(?=(&|$))'),
        parts = url.toString().split('#'),
        url = parts[0],
        hash = parts[1]
        qstring = /\?.+$/,
        newURL = url;

    // Check if the parameter exists
    if (val.test(url))
    {
        // if it does, replace it, using the captured group
        // to determine & or ? at the beginning
        newURL = url.replace(val, '$1' + param + '=' + value);
    }
    else if (qstring.test(url))
    {
        // otherwise, if there is a query string at all
        // add the param to the end of it
        newURL = url + '&' + param + '=' + value;
    }
    else
    {
        // if there's no query string, add one
        newURL = url + '?' + param + '=' + value;
    }

    if (hash)
    {
        newURL += '#' + hash;
    }

    return newURL;
}

function craftit_scroll2( selector){
		if(selector =='') return;
		jQuery('html,body').animate({
			scrollTop: jQuery(selector).offset().top -100 },
        'slow');	
}