<div class="top-bar">
<ul>
	<li>
		<ul class="flex-left">
			<?php if( _get_field('gg_header_search', 'option', true) ) : ?>
			<li>
				<a class="top-search-button" href="#fullscreen-searchform">
					<?php echo '<img src="'.get_template_directory_uri().'/images/search.svg" alt="" class="svg" />'; ?>
				</a>
			</li>
			<?php endif; ?>

			<?php if( craftit_is_wc_activated() && _get_field('gg_header_account', 'option', true) ) : ?>
			
			<?php if ( get_option( 'woocommerce_myaccount_page_id' ) ) : ?>
			<li>
				<?php if ( is_user_logged_in() ) { ?>
				 	<a href="<?php echo get_permalink( wc_get_page_id('myaccount') ); ?>" title="<?php esc_html_e('My Account','woocommerce'); ?>">
				 		<span class="visible-md visible-lg"><?php esc_html_e('My Account','woocommerce'); ?></span>
				 		<span class="gg-account-icn visible-sm visible-xs"><?php echo '<img src="'.get_template_directory_uri().'/images/account.svg" alt="" class="svg" />'; ?></span>
				 	</a>
				<?php } else { ?>
				 	<a class="gg-login-register" href="#woo-login-register" title="<?php esc_html_e('Login','woocommerce'); ?> / <?php esc_html_e('Register','woocommerce'); ?>">
				 		<span class="visible-md visible-lg"><?php esc_html_e('Login','woocommerce'); ?> / <?php esc_html_e('Register','woocommerce'); ?></span>
				 		<span class="gg-account-icn visible-sm visible-xs"><?php echo '<img src="'.get_template_directory_uri().'/images/account.svg" alt="" class="svg" />'; ?></span>
				 	</a>
				<?php } ?>
			</li>
			<?php endif; ?>

			<li>
				<?php if ( is_user_logged_in() ) { ?>
				 	<a href="<?php echo wp_logout_url( get_permalink( wc_get_page_id('myaccount') ) ); ?>" title="<?php esc_html_e('Logout','woocommerce'); ?>">
				 		<span class="visible-md visible-lg"><?php esc_html_e('Logout','woocommerce'); ?></span>
				 		<span class="gg-logout-icn visible-sm visible-xs"><?php echo '<img src="'.get_template_directory_uri().'/images/logout.svg" alt="" class="svg" />'; ?></span>
				 	</a>
				<?php } ?>
			</li>

			<?php endif; ?>
		</ul>
	</li>
	<li>
		<div class="logo-wrapper">
            <?php craftit_logo(); ?>
        </div><!-- .logo-wrapper -->
    </li>
    <li>
    	<ul class="flex-right">

    		<?php if( has_action('wpml_add_language_selector') && _get_field('gg_header_languages', 'option', true) ) : ?>
    		<li>
				<div class="top-bar-flags">
					<?php echo craftit_wpml_language_sel(); ?>
				</div>    			
    		</li>
    		<?php elseif( defined('POLYLANG_VERSION') && _get_field('gg_header_languages', 'option', true) ) : ?>
    		<li>
    			<div class="top-bar-flags">
					<ul>
						<?php pll_the_languages( array( 'show_flags' => 1,'show_names' => 1, 'display_names_as' => 'slug' ) ); ?>
					</ul>
				</div>
    		</li>
    		<?php endif; ?>

    		<?php if( craftit_is_wc_activated() && _get_field('gg_header_minicart', 'option', true) ) : ?>
    		<li>
		    	<a href="#simpleModal" class="cart-shop-top">
		    		<?php echo '<img src="'.get_template_directory_uri().'/images/buy.svg" alt="" class="svg" />'; ?>
		    		<span class="gg-products-count"><?php global $woocommerce; echo $woocommerce->cart->cart_contents_count; ?></span>
		    	</a>
    		</li>
    		<?php endif; ?>

    		<li>
    			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#main-navbar-collapse" aria-expanded="true">
		            <span class="sr-only"><?php esc_html_e('Toggle navigation','craftit'); ?></span>
		            <span class="icon-bar"></span>
		            <span class="icon-bar"></span>
		            <span class="icon-bar"></span>
		        </button>
    		</li>
    	</ul>
    </li>
</ul>
</div>