<?php 
	$tags =  wp_get_post_terms(get_the_id() , 'gallery_cpt_tag');
	
	if ($tags) {
		$tag_list = array();
		foreach($tags as $tag){
			$tag_list [] = $tag->term_id; 
		}

		$args=array(

			'tax_query' => array(
				array(
						'taxonomy' => 'gallery_cpt_tag',
						'field' => 'id',
						'terms' => $tag_list
					)
			),
			'post__not_in' 			=> array(get_the_id()),
			'posts_per_page'		=> 3,
			'orderby'        		=> 'rand',
			'ignore_sticky_posts'	=> true,
			'post_type'				=> 'gallery_cpt'
		);
		
	$rg = new WP_Query($args);

		if( $rg->have_posts() ) {
			?>
			<div class="col-sm-12">
				<h3 class="header-1"><?php esc_html_e('similar projects','craftit'); ?></h3>
			</div>
			<?php 
			while ($rg->have_posts()) : $rg->the_post(); 
				get_template_part( 'parts/gallery/part', 'gallery' );
			endwhile;
	
		}
		wp_reset_postdata();
	}