<?php 
global $post;
$permalink = get_permalink($post->ID);
$featured_image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumbnail');
$featured_image = $featured_image['0'];
$post_title = rawurlencode(get_the_title($post->ID));
?>

<div class="social-with-navigation">
	<ul>
		<li><a class="social-facebook btn btn-outline" title="facebook" target="_blank" href="http://www.facebook.com/sharer.php?u=<?php echo esc_url($permalink); ?>&amp;images=<?php echo esc_url($featured_image); ?>"><span class="fa fa-facebook"></span><span class="hidden-xs"><?php esc_html_e('Facebook','craftit') ?></span></a></li>
		<li><a class="social-twitter btn btn-outline" title="twitter" target="_blank" href="https://twitter.com/share?url=<?php echo esc_url($permalink); ?>&amp;text=Check out this <?php echo esc_url($permalink); ?>"><span class="fa fa-twitter"></span><span class="hidden-xs"><?php esc_html_e('Twitter','craftit') ?></span></a></li>
		<li><a class="social-google  btn btn-outline" title="googleplus" target="_blank" href="https://plus.google.com/share?url=<?php echo esc_url($permalink); ?>"><span class="fa fa-google"></span> <span class="hidden-xs"><?php esc_html_e('Google','craftit') ?></span></a> </li>
		<li><a class="social-linkedin  btn btn-outline" title="linkedin" target="_blank" href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo esc_url($permalink); ?>"><span class="fa fa-linkedin"></span> <span class="hidden-xs"><?php esc_html_e('Linkedin','craftit') ?></span></a></li>
		<li><a class="social-send  btn btn-outline" title="email" href="mailto:?subject=<?php echo esc_html( $post_title ); ?>&amp;body=<?php echo esc_url($permalink); ?>"><span class="fa fa-envelope"></span> <span class="hidden-xs"><?php esc_html_e('Email','craftit') ?></span></a></li>
	</ul>

	<div class="product-navigation">
		<?php previous_post_link('%link','<span class="fa fa-long-arrow-left"></span>'); ?>     
		<?php next_post_link('%link','<span class="fa fa-long-arrow-right"></span>'); ?>    
	</div>
</div>