<?php
class Fw_Shortcode_Craftit_Contact_Us extends FW_Shortcode
{
 	protected function _init() {

	}
	function _render($atts, $content = NULL, $tag = ''){

	$cnt ='';	
	$cnt .= '<div class="contact-us-module" id="uid_'.esc_attr($atts['uid']).'">';
	
	if (!empty($atts['title'])) {
		$cnt .='<h5>'.$atts['title'].'</h5>';
	} 
	
	$cnt .= '<div class="contact-us-module-wrapper">';	
	if (!empty($atts['address'])){
		$cnt .='<div class="address-module">'.nl2br($atts['address']).'</div>';
	}

	if ( !empty($atts['phones']) || !empty($atts['emails']) ) {

		$cnt .='<div class="phones-emails-module">';
		$cnt .= nl2br($atts['phones'] . $atts['emails']);
		$cnt .='</div>';
	}
	$cnt .='</div>';

	$cnt .='</div>';
	
		return $cnt;
	}
	

	function addCss($atts, $uid,$post_id){
		
		 if( $atts->width > 0){
					CssManager::get()->add('#uid_'.$uid, 'max-width',(int) $atts->width.'%','general',$post_id);
				 }else{
					CssManager::get()->remove('#uid_'.$uid, 'max-width','general',$post_id); 
				 }
		if(isset($atts->font)){
			if(!empty($atts->font->family)) CssManager::get()->add('#uid_'.$uid, 'font-family', $atts->font->family,'general',$post_id);
			if(!empty($atts->font->style)) CssManager::get()->add('#uid_'.$uid, 'font-style', $atts->font->style,'general',$post_id);
			if(!empty($atts->font->weight)) CssManager::get()->add('#uid_'.$uid, 'font-weight',$atts->font->weight,'general',$post_id);
			if(!empty($atts->font->size)) CssManager::get()->add('#uid_'.$uid, 'font-size',(int) $atts->font->size.'px','general',$post_id);
			if(!empty($atts->font->{'line-height'})) CssManager::get()->add('#uid_'.$uid, 'line-height',(int) $atts->font->{'line-height'}.'px','general',$post_id);
			if(!empty($atts->font->{'letter-spacing'})) CssManager::get()->add('#uid_'.$uid, 'letter-spacing',(int) $atts->font->{'letter-spacing'}.'px','general',$post_id);
			if(!empty($atts->font->color)) CssManager::get()->add('#uid_'.$uid, 'color',(int) $atts->font->color,'general',$post_id);
			
		}else{
			CssManager::get()->remove('#uid_'.$uid, 'font-family','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid, 'font-style','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid, 'font-weight','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid, 'font-size','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid, 'line-height','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid, 'letter-spacing','general',$post_id);
			CssManager::get()->remove('#uid_'.$uid, 'color','general',$post_id);
		}

		}	
	function onSimpleItems($options,$post_id){	
		$atts = $options->atts;

		if($options->type == 'simple' && $options->shortcode == 'craftit_contact_us'){
	
			$this->addCss($atts,$atts->uid,$post_id);
			
		}
		
	}	
}

