<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'style'   => array(
		'type'    => 'select',
		'label'   => __('Box Style', 'craftit_shortcode'),
		'choices' => array(
			'fw-iconbox-1' => __('Icon above title', 'craftit_shortcode'),
			'fw-iconbox-2' => __('Icon in line with title', 'craftit_shortcode')
		)
	),
	'icon_img'    => array(
		'type' 	=>	'icon-v2',
		'label' => __('Choose an Icon', 'craftit_shortcode'),
	),
	'title'   => array(
		'type'  => 'text',
		'label' => __( 'Title', 'craftit_shortcode' ),
	),
	'url'   => array(
		'label' => __( 'URL', 'craftit_shortcode' ),
		'desc'  => __( 'The url will be added on the title and description', 'craftit_shortcode' ),
		'type'  => 'text',
		'value' => ''
	),
	'target' => array(
		'type'  => 'switch',
		'label'   => __( 'Open Link in New Window', 'craftit_shortcode' ),
		'desc'    => __( 'Select here if you want to open the linked page in a new window', 'craftit_shortcode' ),
		'right-choice' => array(
			'value' => '1',
			'label' => __('Yes', 'craftit_shortcode'),
		),
		'left-choice' => array(
			'value' => '0',
			'label' => __('No', 'craftit_shortcode'),
		),
	),	
	'content' => array(
		'type'  => 'textarea',
		'label' => __( 'Content', 'craftit_shortcode' ),
		'desc'  => __( 'Enter the desired content', 'craftit_shortcode' ),
	),
	'icon_color'=> array(
			'type'  => 'color-picker',
			'label' => __('Icon Color', 'craftit_shortcode'),
			'desc'  => __('Insert a hexadecimal color in format RGB OR RRGGBB', 'craftit_shortcode'),
			'help'  => __('RGB = Red, Green and Blue, Grey colors have the same value ex: #ccc ', 'craftit_shortcode'),
	),
	'uid'=> array( 'type' => 'unique' ),
);