<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}
/**
 * @var array $atts
 */
?>
<?php
/*
 * `.fw-iconbox` supports 3 styles:
 * `fw-iconbox-1`, `fw-iconbox-2` and `fw-iconbox-3`
 */
 
$target = '';

if($atts['target']) $target = ' target="_blank" ';
?>
<div class="fw-iconbox clearfix <?php echo esc_attr($atts['style']); ?> craftit-icon-box" id="uid_<?php echo esc_attr($atts['uid']); ?>">
	<div class="fw-iconbox-image">
	<?php   if(isset($atts['icon_img'])){ 
		$img = $atts['icon_img'];
	?><i class="graphic"><?php
			
			if($img['type'] == 'icon-font'){
				// this is fa icon
				echo '<span class="'.esc_attr($img['icon-class']).'"></span>';	//using late escape
			}else{
				// this is a custom file 
				// to test png and jpg images maybe there are more then 2 types 
				$svg = (substr($img['url'],-3) == 'svg')?'svg':'';
				echo '<img class="'.$svg.'" src="'.esc_attr($img['url']).'" alt="Icon" />';	
			}
		 ?></i><?php } ?>
	</div>
	<div class="fw-iconbox-aside">
		<div class="fw-iconbox-title">
			
				<h3>
				<?php if(!empty($atts['url'])){ ?>
				<a href="<?php echo esc_url($atts['url']);?>" <?php echo $target ; ?>>
				<?php  } ?>
						<?php echo $atts['title']; ?>
				<?php if(!empty($atts['url'])){ ?></a><?php } ?>
				</h3>
		</div>
		<?php if( !empty($atts['content']) ) { ?>
		<div class="fw-iconbox-text">
			<p>
				<?php if(!empty($atts['url'])){ ?><a href="<?php echo esc_url($atts['url']);?>" <?php echo $target ; ?>><?php  } ?>
					<?php echo $atts['content']; ?>
				<?php if(!empty($atts['url'])){ ?></a> <?php } ?>
			</p>
		</div>
		<?php } ?>
	</div>
</div>