<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'image'            => array(
		'type'  => 'upload',
		'label' => __( 'Choose Image', 'fw' ),
		'desc'  => __( 'Either upload a new, or choose an existing image from your media library', 'fw' )
	),
	'open_lightbox' => array(
		'label'        => esc_html__('Open large image in lightbox?', 'craftit_shortcode'),
		'type'         => 'switch',
	),		
	'size'             => array(
		'type'    => 'group',
		'options' => array(
			'width'  => array(
				'type'  => 'text',
				'label' => __( 'Width', 'fw' ),
				'desc'  => __( 'Set image width', 'fw' ),
				'value' => 300
			),
			'height' => array(
				'type'  => 'text',
				'label' => __( 'Height', 'fw' ),
				'desc'  => __( 'Set image height', 'fw' ),
				'value' => 200
			)
		)
	),
	'image-link-group' => array(
		'type'    => 'group',
		'options' => array(
			'link'   => array(
				'type'  => 'text',
				'label' => __( 'Custom Link', 'fw' ),
				'desc'  => __( 'Where should your image link to?', 'fw' )
			),
			'target' => array(
				'type'         => 'switch',
				'label'        => __( 'Open Link in New Window', 'fw' ),
				'desc'         => __( 'Select here if you want to open the linked page in a new window', 'fw' ),
				'right-choice' => array(
					'value' => '_blank',
					'label' => __( 'Yes', 'fw' ),
				),
				'left-choice'  => array(
					'value' => '_self',
					'label' => __( 'No', 'fw' ),
				),
			),
		)
	),
	'margin' => array(
	    'type' => 'fw-multi-inline',
	    'label' => __('Margin', 'craftit_shortcode'),
	    'desc' => __('Margin top, right, bottom and right in px', 'craftit_shortcode'),
		'value' => array(
				'margin_top' =>'',
				'margin_right' =>'',
				'margin_bottom' =>'',
				'margin_left' =>'',
			),
		
	    'fw_multi_options' => array(
	        'margin_top' => array(
	            'type' =>'short-text',
	            'title' => esc_html__('Margin Top', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => '0' ),
	        ),
	        'margin_right' => array(
	            'type' =>'short-text',
	            'title' => esc_html__('Margin Right', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'right' ),

	        ),
	        'margin_bottom' => array(
	            'type' =>'short-text',
	            'title' => esc_html__('Margin Bottom', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'bottom' ),

	        ),
	        'margin_left' => array(
	            'type' =>'short-text',
	            'title' => esc_html__('Margin Left', 'craftit_shortcode'),
				'attr'  => array( 'placeholder' => 'left' ),

	        ),   

	    )
	),
	'uid'=> array( 'type' => 'unique' ),
);

